Subject: Re: [Govpn-devel] пробитие файрвола

From: Dmitry Alexandrov <[email-masked]>
Date: Fri, 8 May 2015 15:49:39 +0300

Да вы правильно поняли.  По поводу производительности иногда не до жиру...
В сложных случаях вообще можно http poling имитируя работу с аттачментами в
phpbb. Payload можно прятать в PNG или в exif у jpeg.  Это на случай
сурового dpi
08.05.2015 13:36 пользователь <[email-masked]> написал:

> Приветствую!
>
> *** Dmitry Alexandrov [2015-05-08 08:05]:
> >Пробитие файрвола это крайне важная функциональность.
> >Как альтернативный транспорт можно использовать websockets. Во первых
> >должно пробивать файрволы. Во вторых в протокол встроена дополнительная
> >адресация (заголовок host) - значит можно хостить на дешевом VPS за NAT-ом
> >и будут пропускать на 80-й порт через реверсивный прокси.
>
> Под "пробитием" firewall подразумевается ситуация например когда
> разрешены на выход (для установления соединений) только HTTP или HTTPS?
> Или вообще всё запрещено, но можно ходить по HTTP через прокси-сервер?
> Если так, то тогда можно задуматься о том чтобы действительно работать
> по TCP (хоть это и плохо для VPN) или поверх HTTP/SOCKS чтобы понимали
> прокси серверы. Речь про это? Если да, то идею поддерживаю и займусь её
> реализацией в обязательном порядке тоже. Собственно как в OpenVPN есть
> возможность работы поверх HTTP.
>
> Если имелось в виду что-то другое, то не могли бы вы поподробнее
> рассказать?
>
> --
> Happy hacking, Sergey Matveev
>